package rocks.zipcode.quiz5.collections;

import java.util.*;

public class WordCounter {
    private List<String> wordCounter;
    public WordCounter(String... strings) {
        wordCounter = new ArrayList<>(Arrays.asList(strings));
    }

    public Map<String, Integer> getWordCountMap() {
        Map<String, Integer> wordCountMap = new HashMap<>();
        for(String each: wordCounter){
            int count = wordCountMap.containsKey(each) ? wordCountMap.get(each) : 0;
            wordCountMap.put(each, count +1);
        }
        return wordCountMap;
    }
}
