package rocks.zipcode.quiz5.fundamentals;

import java.util.Arrays;
import java.util.HashSet;
import java.util.Set;

/**
 * @author leon on 21/12/2018.
 */
public class StringUtils {
    public static Character getMiddleCharacter(String string) {
        return string.charAt(string.length()/2);
    }

    public static String capitalizeMiddleCharacter(String str) {
        char upperCaseChar = Character.toUpperCase(getMiddleCharacter(str));
        StringBuilder builder = new StringBuilder();

        builder.append(str.substring(0, str.length()/2));
        builder.append(upperCaseChar);
        builder.append(str.substring(str.length()/2, str.length() - 1));
        return builder.toString();
    }

    public static String lowerCaseMiddleCharacter(String str) {
        return null;
    }

    public static Boolean isIsogram(String str) {
        String[] strArray = str.split("");
        Set<String> stringSet = new HashSet<>(Arrays.asList(strArray));
        return str.length() == stringSet.size();
    }

    public static Boolean hasDuplicateConsecutiveCharacters(String str) {
        for (int i = 1; i < str.length(); i++){
            if(str.charAt(i)==str.charAt(i-1)){
                return true;
            }
        }
        return false;
    }

    public static String removeConsecutiveDuplicateCharacters(String str) {
        StringBuilder builder = new StringBuilder();
        char compare = str.charAt(0);
        for (int i = 1; i < str.length(); i++){
            if(str.charAt(i)== str.charAt(i-1) && str.charAt(i-1)==compare){
                builder.append(str.charAt(i-1));
                compare = str.charAt(i);
            }
        }
        return builder.toString();
    }

    public static String invertCasing(String str) {
        StringBuilder builder = new StringBuilder();
        char[] charArray = str.toCharArray();
        for(Character each: charArray){
            if(Character.isUpperCase(each)){
                builder.append(Character.toLowerCase(each));
            } else {
                builder.append(Character.toUpperCase(each));
            }
        }
        return builder.toString();
    }
}